> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1audiencecompaniesbalancesummary



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/audience/companies/balance/summary
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/audience/companies/balance/summary:
    post:
      tags:
        - Companies
      operationId: companies.balanceSummary
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                sortModel:
                  type: array
                  example:
                    - sort: asc
                      colId: log_date
                  prefixItems:
                    - type: object
                      properties:
                        colId:
                          type: string
                        sort:
                          type: string
                      required:
                        - colId
                        - sort
                  minItems: 1
                  maxItems: 1
                  additionalItems: false
                filterModel:
                  type: array
                  example:
                    campaign_name:
                      filterType: text
                      type: contains
                      filter: multi
                  prefixItems:
                    - type: object
                      properties:
                        colId:
                          type: object
                          properties:
                            filterType:
                              type: string
                            type:
                              type: string
                            filter: {}
                          required:
                            - filterType
                            - type
                            - filter
                      required:
                        - colId
                  minItems: 1
                  maxItems: 1
                  additionalItems: false
                rowGroupCols:
                  type: array
                  example:
                    - id: campaign_name
                      displayName: Campaign_name
                      field: campaign_name
                  prefixItems:
                    - type: object
                      properties:
                        id:
                          type: string
                        displayName:
                          type: string
                        field:
                          type: string
                      required:
                        - id
                        - displayName
                        - field
                  minItems: 1
                  maxItems: 1
                  additionalItems: false
                groupKeys:
                  type: array
                  items:
                    type: string
                startRow:
                  type: integer
                  minimum: 0
                endRow:
                  type: integer
                  minimum: 1
                groupByAll:
                  type: boolean
              required:
                - endRow
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/DataGridRouteCompanyBalanceResource'
                  meta:
                    type: object
                    properties:
                      total:
                        type: integer
                    required:
                      - total
                required:
                  - data
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    DataGridRouteCompanyBalanceResource:
      type: object
      properties:
        id:
          type: string
        client_routing_company_id:
          type: string
        amount:
          type: string
        balance_type:
          type: string
        meta:
          type: string
        date_created:
          type: string
      required:
        - id
        - client_routing_company_id
        - amount
        - balance_type
        - meta
        - date_created
      title: DataGridRouteCompanyBalanceResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````